This page lists external DNS zones, provided by networks that are interconnected with dn42.

## Authoritative nameservers


| **Network name** | **Contact** | **DNS zone** | **Reverse zone** | **Authoritative nameservers** | **Last update** | **Comments** |
|:----------------:|:----------:|:------------:|:----------------:|-------------------------------|--------------|---------|
| ChaosVPN | - | `hack.` | `31.172.in-addr.arpa.` | `172.31.0.5` | Nov. 2013 | - |
| RaumZeitLabor | - | `rzl.` | - | `172.22.36.250` | Jun. 2017 | - |
| NeoNetwork | - | `neo.` | `127.10.in-addr.arpa` | `10.127.225.2` | May 2020 | - |
## Freifunk

Freifunk generates its zone configuration from the [icvpn-meta](https://github.com/freifunk/icvpn-meta) repositority via the **mkdns**-script contained in [icvpn-scripts](https://github.com/freifunk/icvpn-scripts). As there are many Freifunk-Communities this is the easiest way to get them all.

    git clone https://github.com/freifunk/icvpn-scripts.git
    git clone https://github.com/freifunk/icvpn-meta.git
    cd icvpn-scripts
    ./mkdns -f bind -s ../icvpn-meta/ -x dn42 -x chaosvpn -x rzl

_Note: dn42, chaosvpn and rzl are excluded (-x), because they are not part of Freifunk and you might want to configure them yourself._

The mkdns script currently supports the following setups:
* bind (static-stub)
* bind-forward (forward zone)
* dnsmasq
* unbound (forward-zone)

## NeoNetwork

NeoNetwork zone files can be found here: https://github.com/NeoCloud/NeoNetwork/tree/master/dns

## Configuration

See [[DNS forwarding configuration|/services/dns/Configuration]].